Package org.apache.torque.generator.outlet.java

## Class ModifySourcenameOutletTest

- java.lang.Object
- - org.apache.torque.generator.outlet.java.ModifySourcenameOutletTest

-     public class ModifySourcenameOutletTest
      extends Object

  Component Tests for the ModifySourcenameOutlet.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ModifySourcenameOutletTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setUp()` |
    `void` | `testAll()` |
    `void` | `testDefault()` |
    `void` | `testDiscardFrom()` |
    `void` | `testDiscardTo()` |
    `void` | `testOverlappingFromAndTo()` |
    `void` | `testSourceFilenameNull()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModifySourcenameOutletTest

          public ModifySourcenameOutletTest()

  - ### Method Detail

    - #### setUp

          public void setUp()

    - #### testDefault

          public void testDefault()
                           throws GeneratorException

      Throws:
        `GeneratorException`

    - #### testAll

          public void testAll()
                       throws GeneratorException

      Throws:
        `GeneratorException`

    - #### testDiscardFrom

          public void testDiscardFrom()
                               throws GeneratorException

      Throws:
        `GeneratorException`

    - #### testDiscardTo

          public void testDiscardTo()
                             throws GeneratorException

      Throws:
        `GeneratorException`

    - #### testOverlappingFromAndTo

          public void testOverlappingFromAndTo()
                                        throws GeneratorException

      Throws:
        `GeneratorException`

    - #### testSourceFilenameNull

          public void testSourceFilenameNull()
                                      throws GeneratorException

      Throws:
        `GeneratorException`